org.apache.xerces.impl.xs.assertion

## Class XSAssertionXPath2ValueImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.assertion.XSAssertionXPath2ValueImpl

- All Implemented Interfaces:
    XSAssertionXPath2Value
  Direct Known Subclasses:
    XMLAssertAdapter

      public class XSAssertionXPath2ValueImpl
      extends java.lang.Object
      implements XSAssertionXPath2Value

  This class defines methods to work with XPath 2.0 dynamic context variable "$value", that is needed for XSD assertions evaluation.
  Version:
    $Id: XSAssertionXPath2ValueImpl.java 1896836 2022-01-08 12:55:20Z mukulg $
  Author:
    Mukul Gandhi IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSAssertionXPath2ValueImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStringValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree, org.apache.xerces.xs.ElementPSVI pElemPSVI)`
    `void` | `setXDMTypedValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree, java.lang.String value, org.apache.xerces.xs.XSSimpleTypeDefinition listOrUnionType, org.apache.xerces.xs.XSTypeDefinition attrType, boolean isTypeDerivedFromList, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyAtomic(java.lang.String value, short xsdTypecode, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyList(org.w3c.dom.Element rootNodeOfAssertTree, java.lang.String listStrValue, org.apache.xerces.xs.XSSimpleTypeDefinition itemType, boolean isTypeDerivedFromList, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyUnion(java.lang.String value, org.apache.xerces.xs.XSObjectList memberTypes, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `protected void` | `setXDMValueOf$valueForCTWithSimpleContent(java.lang.String value, org.apache.xerces.xs.XSComplexTypeDefinition typeDef, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSAssertionXPath2ValueImpl

          public XSAssertionXPath2ValueImpl()

  - ### Method Detail

    - #### getStringValueOf$value

          public java.lang.String getStringValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree,
                                                org.apache.xerces.xs.ElementPSVI pElemPSVI)
                                                  throws org.w3c.dom.DOMException

      Specified by:
        `getStringValueOf$value` in interface `XSAssertionXPath2Value`
      Throws:
        `org.w3c.dom.DOMException`

    - #### setXDMTypedValueOf$value

          public void setXDMTypedValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree,
                                      java.lang.String value,
                                      org.apache.xerces.xs.XSSimpleTypeDefinition listOrUnionType,
                                      org.apache.xerces.xs.XSTypeDefinition attrType,
                                      boolean isTypeDerivedFromList,
                                      org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                        throws java.lang.Exception

      Specified by:
        `setXDMTypedValueOf$value` in interface `XSAssertionXPath2Value`
      Throws:
        `java.lang.Exception`

    - #### setXDMTypedValueOf$valueForSTVarietyAtomic

          public void setXDMTypedValueOf$valueForSTVarietyAtomic(java.lang.String value,
                                                        short xsdTypecode,
                                                        org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)

      Specified by:
        `setXDMTypedValueOf$valueForSTVarietyAtomic` in interface `XSAssertionXPath2Value`

    - #### setXDMTypedValueOf$valueForSTVarietyList

          public void setXDMTypedValueOf$valueForSTVarietyList(org.w3c.dom.Element rootNodeOfAssertTree,
                                                      java.lang.String listStrValue,
                                                      org.apache.xerces.xs.XSSimpleTypeDefinition itemType,
                                                      boolean isTypeDerivedFromList,
                                                      org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                                        throws java.lang.Exception

      Specified by:
        `setXDMTypedValueOf$valueForSTVarietyList` in interface `XSAssertionXPath2Value`
      Throws:
        `java.lang.Exception`

    - #### setXDMTypedValueOf$valueForSTVarietyUnion

          public void setXDMTypedValueOf$valueForSTVarietyUnion(java.lang.String value,
                                                       org.apache.xerces.xs.XSObjectList memberTypes,
                                                       org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                                         throws java.lang.Exception

      Specified by:
        `setXDMTypedValueOf$valueForSTVarietyUnion` in interface `XSAssertionXPath2Value`
      Throws:
        `java.lang.Exception`

    - #### setXDMValueOf$valueForCTWithSimpleContent

          protected void setXDMValueOf$valueForCTWithSimpleContent(java.lang.String value,
                                                       org.apache.xerces.xs.XSComplexTypeDefinition typeDef,
                                                       org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.